"use strict";

exports.__esModule = true;
exports.default = createEventHandle;

var _addEvent = _interopRequireDefault(require("../__modules__/addEvent"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */

/**
 * Return a handle for adding listeners of the given type to targets
 */
function createEventHandle(type, options) {
  return function addListener(target, listener) {
    if (target == null || typeof target.addEventListener !== 'function') {
      throw new Error('createEventHandle: called on an invalid target.');
    }

    return (0, _addEvent.default)(target, type, listener, options);
  };
}

module.exports = exports.default;