"use strict";

exports.__esModule = true;
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _createElement = _interopRequireWildcard(require("../create-element"));

var _constants = require("../style-sheet/constants");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/**
 * Copyright (c) Nicolas Gallagher.
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */
var emptyFunction = function emptyFunction() {};

var TextInput = React.forwardRef(function (props, ref) {
  var _props$autoCapitalize = props.autoCapitalize,
      autoCapitalize = _props$autoCapitalize === void 0 ? 'sentences' : _props$autoCapitalize,
      autoComplete = props.autoComplete,
      _props$autoCorrect = props.autoCorrect,
      autoCorrect = _props$autoCorrect === void 0 ? 'off' : _props$autoCorrect,
      defaultValue = props.defaultValue,
      _props$direction = props.direction,
      direction = _props$direction === void 0 ? 'auto' : _props$direction,
      disabled = props.disabled,
      enterKeyHint = props.enterKeyHint,
      inputMode = props.inputMode,
      lang = props.lang,
      maxLength = props.maxLength,
      placeholder = props.placeholder,
      readOnly = props.readOnly,
      required = props.required,
      secureTextEntry = props.secureTextEntry,
      spellCheck = props.spellCheck,
      value = props.value; // Construct the props

  var elementProps = (0, _createElement.filterProps)(props);
  elementProps.autoCapitalize = autoCapitalize;
  elementProps.autoComplete = autoComplete;
  elementProps.autoCorrect = autoCorrect;
  elementProps.classList = [classes.textinput];
  elementProps.defaultValue = defaultValue;
  elementProps.dir = direction;
  elementProps.disabled = disabled;
  elementProps.enterKeyHint = enterKeyHint;
  elementProps.inputMode = inputMode;
  elementProps.lang = lang;
  elementProps.maxLength = maxLength;
  elementProps.placeholder = placeholder;
  elementProps.readOnly = readOnly;
  elementProps.ref = ref;
  elementProps.required = required;
  elementProps.spellCheck = spellCheck;
  elementProps.type = secureTextEntry ? 'password' : inputMode === 'email' ? 'email' : 'text';
  elementProps.value = value; // Suppress React DOM warning when 'value' is set without 'onChange'

  elementProps.onChange = emptyFunction; // Construct the element

  var element = (0, _createElement.default)('input', elementProps);
  return element;
});
TextInput.displayName = 'TextInput';
var classes = (0, _createElement.createStyleRules)({
  textinput: {
    backgroundColor: 'transparent',
    border: '0 solid black',
    borderRadius: 0,
    boxSizing: 'border-box',
    font: "14px " + _constants.SYSTEM_FONT_STACK,
    margin: 0,
    padding: 0,
    resize: 'none'
  }
});
var _default = TextInput;
exports.default = _default;
module.exports = exports.default;