"use strict";

exports.__esModule = true;
exports.default = useFocusVisibility;

var _useModality2 = _interopRequireDefault(require("../use-modality"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */

/**
 * Respond to changes in *visibile* focus. Focus is visible whenever a keyboard is used.
 */
function useFocusVisibility() {
  var _useModality = (0, _useModality2.default)(),
      activeModality = _useModality.activeModality;

  return activeModality === 'keyboard';
}

module.exports = exports.default;